# SoShuttle Class Reference
[Nodes]

`#include <Inventor/nodes/SoShuttle.h>`

Inheritance diagram for SoShuttle:

List of all members.

## Detailed Description

The SoShuttle class is used to oscillate between two translations.

A smooth transition between translation0 and translation1 is created using a cosine function. In the beginning of the cycle, translation0 is used. Halfway through the cycle, the resulting translation equals translation1, and at the end of the cycle, we're at translation0 again.

## Public Member Functions

| SoShuttle (void)
virtual void | write (SoWriteAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFVec3f | translation0
SoSFVec3f | translation1
SoSFFloat | speed
SoSFBool | on

## Protected Member Functions

virtual | ~SoShuttle ()

## Constructor & Destructor Documentation

SoShuttle::SoShuttle | ( | void |  | ) |

| Constructor.

SoShuttle::~SoShuttle | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoShuttle::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTranslation.

void SoShuttle::write | ( | SoWriteAction * | action | ) | `[virtual]`

| Action method for SoWriteAction. Writes out a node object, and any connected nodes, engines etc, if necessary. Reimplemented from SoNode.

## Member Data Documentation

SoSFVec3f SoShuttle::translation0

| Translation at the start and end of the cycle. Default value is (0, 0, 0).

SoSFVec3f SoShuttle::translation1

| Translation at the middle of the cycle. Default value is (0, 0, 0).

SoSFFloat SoShuttle::speed

| Number of cycles per second. Default value is 1.

SoSFBool SoShuttle::on

| Toggles animation on or off. Defauls to `TRUE`.

The documentation for this class was generated from the following files:

- SoShuttle.h
- SoShuttle.cpp